
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Java中关于异常处理的10个最佳实践 / iVAN</title>

    <meta name="description" content="Java中关于异常处理的10个最佳实践 Java 编程中异常处理的最佳实践 这里是我收集的10个Java编程中进行异常处理的10最佳实践.在Java编程中对于检查异常有褒有贬,强制处理异常是一门语言的功能.在本文中,我们将尽量减少使用检查型异常,同时学会在Java编程中使用检查型VS非检查型异常. 1.为可恢复的错误使用检查型异常,为编程错误使用非检查型错误 选择检查型还是非检查型异常,对于Java编程人员来说,总是让人感到困惑.检查型异常保证你对错误条件提供异常处理代码,这是一种从语言到强制你编写健壮的代码的一种方式,但同时会引入大">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Java中关于异常处理的10个最佳实践</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p><strong>Java 编程中异常处理的最佳实践</strong></p>
<p>这里是我收集的10个Java编程中进行异常处理的10最佳实践。在Java编程中对于检查异常有褒有贬，强制处理异常是一门语言的功能。在本文中，我们将尽量减少使用检查型异常，同时学会在Java编程中使用检查型VS非检查型异常。</p>
<p><a href="http://s5.51cto.com/wyfs02/M00/5B/59/wKiom1UGk_TT6KopAAF9HmuLZN8789.jpg-wh_651x-s_2514695325.jpg" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczUuNTFjdG8uY29tL3d5ZnMwMi9NMDAvNUIvNTkvd0tpb20xVUdrX1RUNktvcEFBRjlIbXVMWk44Nzg5LmpwZy13aF82NTF4LXNfMjUxNDY5NTMyNS5qcGc=.jpg"></a></p>
<p><strong>1.为可恢复的错误使用检查型异常，为编程错误使用非检查型错误</strong></p>
<p>选择检查型还是非检查型异常，对于Java编程人员来说，总是让人感到困惑。检查型异常保证你对错误条件提供异常处理代码，这是一种从语言到强制你编写健壮的代码的一种方式，但同时会引入大量杂乱的代码并导致其不可读。当然，如果你有替代品和恢复策略的话，捕捉异常并做些什么看起来似乎也在理。在Java编程中选择检查型异常还是运行时异常。</p>
<p><strong>2.在finally程序块中关闭或者释放资源</strong></p>
<p>这在Java编程中，是一个广为人知的最佳实践，在处理网络和IO类的时候，相当于一个标准。在finally块中关闭资源，<br />
在正常和异常执行的情况下，保证之前和稀缺资源的合理释放，这由y<br />
finally块保证。从Java7开始，该语言有了一项更有趣的功能：资源管理自动化或者ARM块能实现这一功能。尽管如此，我们仍然要记住在finally块中关闭资源，这是对于释放像FileDescriptors这类，应用在socket和文件编程的情况下的有限资源很重要的。</p>
<p><strong>3.在堆栈跟踪中包含引起异常的原因</strong></p>
<p>很多时候，当一个由另一个异常导致的异常被抛出的时候，Java库和开放源代码会将一种异常包装成另一种异常。日志记录和打印根异常就变得非常重要。Java异常类提供了</p>
<p>getCause()方法来检索导致异常的原因，这些(原因)可以对异常的根层次的原因提供更多的信息。该Java实践对在进行调试或排除故障大有帮助。时刻记住，如果你将一个异常包装成另一种异常时，构造一个新异常要传递源异常。</p>
<p><strong>4.始终提供关于异常的有意义的完整的信息</strong></p>
<p>异常信息是最重要的地方，因为这是程序员首先看到的第一个地方，这里你能找到问题产生的根本原因。这里始终提供精确的真实的信息。例如，对比IllegalArgumentException  异常的两条异常信息：</p>
<p>消息 1: "Incorrect argument for method"</p>
<p>消息 2: "Illegal value for ${argument}: ${value}</p>
<p>第一条消息仅说明了参数是非法的或者不正确，但第二条消息包括了参数名和非法值，而这对于找到错误的原因是很重要的。在用Java编程中编写异常处理代码的时候，始终遵循该Java最佳实践。</p>
<p><strong>5.避免过度使用检查型异常</strong></p>
<p>检查型异常在强制执行方面有一定的优势，但同时它也破坏了代码，通过掩盖业务逻辑使代码可读性降低。只要你不过度使用检查型异常，你可以最大限度的减少这类情况，这样做的结果是你会得到更清洁的代码。你同样可以使用Java7的新功能，像one<br />
  catch block for multiple exceptions 和 automatic resource<br />
management以移除重复项。</p>
<p><strong>6.将检查型异常转为运行时异常</strong></p>
<p>这是在像Spring之类的多数框架中用来限制使用检查型异常的技术之一，大部分出自于JDBC的检查型异常，都被包装进DataAccessException中，而(DataAccessException)异常是一种非检查型异常。这是Java最佳实践带来的好处，特定的异常限制到特定的模块，像<br />
  SQLException 放到DAO层，将意思明确的运行时异常抛到客户层。</p>
<p><strong>7.记住对性能而言，异常代价高昂</strong></p>
<p>需要记住的一件事是异常代价高昂，同时让你的代码运行缓慢。假如你有方法从ResultSet(结果集)中进行读取，这时常会抛出SQLException异常而不会移到下一元素，这将会比不抛出异常的正常代码执行的慢的多。因此最大限度的减少不必要的异常捕捉和移动，那里没有什么固定的原因。不要仅仅是抛出和捕捉异常，如果你能使用boolean变量去表示执行结果，可能会得到更整洁，更高性能的解决方案。修正错误的根源，避免不必须要的异常捕捉。</p>
<p><strong>8.避免catch块为空</strong></p>
<p>没有什么比空的catch块更糟糕的了，因为它不仅隐藏了错误和异常，同时可能导致你的对象处于不可使用或者脏的状态。空的catch块只能变得无意义，如果你非常肯定异常不会继续以任何方式影响对象状态，但在程序执行期间，用日志记录错误依然是最好的(方法)。对于在Java编程中编写异常处理代码，这不仅仅是一个Java最佳实践，而是一个最通用的实践。</p>
<p><strong>9.使用标准异常</strong></p>
<p>我们的第九条最佳实践建议使用标准和内置的Java异常。使用标准异常而不是每次创建我们自己的异常，对于维护性和一致性，不管是现在还是以后，都是最好的选择。重用标准异常使代码更具可读性，因为大部分Java开发人员对标准的像源自于JDK的RuntimeException<br />
  异常，IllegalStateException 异常，IllegalArgumentException 异常或者<br />
NullPointerException异常，(开发者)他们能一眼就知道每种异常的目的，而不是在代码里查找或者在文档里查找用户定义的异常的目的。</p>
<p><strong>10.记录任何方法抛出的异常</strong></p>
<p>Java提供了throw和throws关键字来抛出异常，在javadoc中用  @throw记录任何方法可能会抛出的异常。如果你编写API或者公共接口，这就变得非常重要。任何方法抛出的异常都有相应的文档记录，这样你就能下意识的提醒任何使用(该方法)的人。</p>
<p>这些就是所有在Java编程中在处理异常的时候需要遵循的最佳实践。让我们知道了什么是在Java编程中编写异常处理代码时需要遵循的实践。</p>
<p>来源：51CTO</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-21 21:23:54</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/java/" title="java">java</a>, <a href="https://www.iamivan.net/tag/%e7%bc%96%e7%a8%8b/" title="编程">编程</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Java中关于异常处理的10个最佳实践的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zVw1mlb.html" rel="bookmark">java中语句char mychar&equals;10是合法的吗？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 java中语句char mychar=10是合法的吗? java中语句char mychar=10是合法的吗?按照我的理解,10在java中默认为int型,把一个int型赋值给char不会发生自动类型转换,所以是不合法的.可是书上却出现了这条语句,难道我的理解是错误的吗? 解决方案 合法滴,在表示数字的字符是可以不用加引号 解决方案二: 合法的,char本身就是用一个字节的整型存储的,你把mychar=81再把mychar打印出来会发现打印的是A,去看看asc2码表你就明白了 解决方案			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zOlyPRb.html" rel="bookmark">java中如何使用poi3&period;10将docx文件转换成html文件&quest;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 java中如何使用poi3.10将docx文件转换成html文件? java 中poi3.10怎么读取docx版本的文档为html 解决方案 没有直接的办法,建议你命令行调用doc2html这个命令http://download.csdn.net/download/JackLee361604415/2747309 或者参考http://www.codeforge.cn/read/250240/Doc2Html.java__html 解决方案二: 用java生成html文件用java生成			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pnnN8Kp.html" rel="bookmark">全面理解java中的异常处理机制&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.java异常总结: 异常就是程序运行时出现不正常运行情况 1.异常由来: 通过java的类的形式对现实事物中问题的描述,并封住成了对象 其实就是java对不正常情况描述后的对象体现 2.对于问题的划分有两种:一种是严重的问题,一种是非严重的问题 对于严重的,java通过Error类来描述 对于Error一般不编写针对性的代码对其进行处理 对于非严重的,java通过Exception类来描述 对于Exception可以使用针对性的处理方式进行处理 3.常见的异常有:数组角标越界异常,空指针异常			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ba6aVwM.html" rel="bookmark">Java中的异常处理用法及其架构和使用建议&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Java异常是Java提供的一种识别及响应错误的一致性机制. Java异常机制可以使程序中异常处理代码和正常业务代码分离,保证程序代码更加优雅,并提高程序健壮性.在有效使用异常的情况下,异常能清晰的回答what, where, why这3个问题:异常类型回答了&quot;什么&quot;被抛出,异常堆栈跟踪回答了&quot;在哪&quot;抛出,异常信息回答了&quot;为什么&quot;会抛出. Java异常机制用到的几个关键字:try.catch.finally.throw.throws. 关键字 说			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zDj8BLM.html" rel="bookmark">DevOps的10个最佳实践</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				2015年6月,Gartner预测说,&quot;到2017年年底,对移动应用开发服务的市场需求将比内部IT机构交付这些服务的能力快至少5倍.&quot;事实上,企业上下已经看到他们的应用工作负载在飙升.因此,越来越多的企业机构正在采用DevOps--这种方法通过让应用开发者和运营专家在整个端到端应用开发和部署过程中的协作来加速应用开发和交付.以下是10个正在获得组织机构青睐的DevOps最佳实践. 1.打破IT孤岛 打破IT中各项职能间的功能性孤岛必须来自于上层管理,因为数十年来IT一直以约束性的孤岛组			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pX9jd4z.html" rel="bookmark">java中try-catch-finally异常处理例子</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				这一小节概述了try-catch-finally 语句是怎样处理错误的,文中的例子是Java的,但是同样的规则也适用于C#.java和C#中异常的唯一区别就是C#中没有已检查异常.已检查异常和未检查异常将在后面小节更加详细地介绍. 程序中的异常表明一些错误或者异常情况发生了,异常如果没有被处理,继续程序流程是没有意义的.一个方法可能会因为各种原因抛出异常,比如输入参数是无效的(当期待获得正数时输入了负数等.) 调用栈 下面介绍调用栈.调用栈是指从当前的方法开始一直到main方法处的方法调用序列.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p8xjx3p.html" rel="bookmark">Rational产品设计中考虑事项、动机和最佳实践</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在这篇文章中,Joanne Scouler 和 Marty Bakal 将介绍如何开始设计变体.他们以 Eaton 公司为重型混合动力汽车开发变速箱变体的经历为例,展示了自己的观点.作者还介绍了各种 Rational 软件产品在此过程中起到的协作作用. 为了解何时以及如何设计产品变体,应注意观察产品之间的差异.举例来说,两种不同的卡车型号可能存在十几种或者更多的不同特性. 通常情况下,有时由于企业对新产品的市场经验不足,企业最初并没有设计变体.产品http://www.aliyun.com/zi			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MW7KrmM.html" rel="bookmark">Java编程中10个最佳的异常处理技巧&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在实践中,异常处理不单单是知道语法这么简单.编写健壮的代码是更像是一门艺术,在本文中,将讨论Java异常处理最佳实践.这些Java最佳实践遵循标准的JDK库,和几个处理错误和异常的开源代码.这还是一个提供给java程序员编写健壮代码的便利手册.Java 编程中异常处理的最佳实践 这里是我收集的10个Java编程中进行异常处理的10最佳实践.在Java编程中对于检查异常有褒有贬,强制处理异常是一门语言的功能.在本文中,我们将尽量减少使用检查型异常,同时学会在Java编程中使用检查型VS非检查型异常			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zD5eV0b.html" rel="bookmark">Java开发中异常处理的最佳实践</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				异常处理是Java 开发中的一个重要部分.它是关乎每个应用的一个非功能性需求,是为了处理任何错误状况,比如资源不可访问,非法输入,空输入等等.Java提供了几个异常处理特性,以try,catch 和 finally 关键字的形式内建于语言自身之中.Java 编程语言也允许你创建新的异常,并通过使用 throw 和 throws关键字抛出它们.事实上,在Java编程中,Java的异常处理不单单是知道语法这么简单,它必须遵循标准的JDK库,和几个处理错误和异常的开源代码.这里我们将讨论一些关于异常处			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qMqYVKM.html" rel="bookmark" class="title">require&lpar;&rpar;和include&lpar;&rpar;的区别-摘自网猴</a>
					<div>
						include|区别 在PHP中使用头文件,会涉及两个函数:include()和require().这两个函数差别很小,却很重要,所以我们要认真研究一下.require()函数工作方式与XSSI相类似 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YMReBkb.html" rel="bookmark" class="title">如何利用JSP的9种基本内置组件</a>
					<div>
						js     基本组件JSP共有以下9种基本内置组件(可与ASP的6种内部组件相对应): request: 用户端请求,此请求会包含来自GET/POST请求的参数 response: 网页传回用户端的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9ze349M.html" rel="bookmark" class="title">asp&period;net连接Access数据库例子</a>
					<div>
						access|asp.net|数据|数据库 asp.net连接Access数据库 &lt;%@ Import Namespace=&quot;System.Data&quot; %&gt;    &l ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/aM6xdOz.html" rel="bookmark" class="title">PowerPoint 2003中让汽车爬楼梯</a>
					<div>
						PowerPoint 2003中有一项&quot;绘制自定义路径&quot;功能不知道您用过没有,利用这项功能可以非常方便的做出许多有趣的&quot;动画&quot;,下面我们就一起用它试做一个让小汽 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bElK7Lz.html" rel="bookmark" class="title">dos2unix格式转换之工具篇</a>
					<div>
						1, 使用Eclipse格式转换: Eclipse转换有个局限,只能对特定文件类型进行转换. 1) 新 建项目以Unix格式: Windows à preferences: 2) 对已建项目: a.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Myrvjlp.html" rel="bookmark" class="title">Delphi TTreeView学习（二）-- TTreeNodes</a>
					<div>
						需要了解的属性: Count property Count: Integer; Use Count to determine the number of tree nodes in the tree  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqLq0Gb.html" rel="bookmark" class="title">不同数据库之间转换</a>
					<div>
						SQL SERVER 与ACCESS.EXCEL的数据转换 熟悉SQL SERVER 2000的数据库管理员都知道,其DTS可以进行数据的导入导出,其实,我们也可以使用Transact-SQL语句进行 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj7gGZM.html" rel="bookmark" class="title">linux基础命令&lpar;20&rpar; find命令之exec</a>
					<div>
						find是我们很常用的一个Linux命令,但是我们一般查找出来的并不仅仅是看看而已,还会有进一步的操作,这个时候exec的 作用就显现出来了. exec解释: -exec  参数后面跟的是comman ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlRv1Oz.html" rel="bookmark" class="title">Oracle学习（二） 表的基本操作&plus;merge&plus;truncate</a>
					<div>
						(1)创建表的基本语法如下: create table tableName(columnName dataType [default expression][column columnStraint] ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5ArqDp.html" rel="bookmark" class="title">构建高性能J2EE应用的五种核心策略</a>
					<div>
						对于J2EE,我们知道当开发应用时,在架构设计阶段的决定将对应用的性能和可扩展性产生深远的影响.现在当开发一个应用项目时,我们越来越多地注意到了性能和可扩展性的问题.应用性能的问题比应用功能的不丰富问 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXB73Qb.html" rel="bookmark" class="title">网站登录页面模板免费PSD素材</a>
					<div>
						登录页面可以说是与用户关系最为密切的页面之一,所以此页面的用户体验需格外重视,一个美观易用的登录页面不仅能给用户留下深刻的印象,也有可能吸引临时访客注册,以下便是国外网站收集一些有用的登录页面模板免费 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo7dLVb.html" rel="bookmark" class="title">Win7系统Activex部件不能创建对象怎么办</a>
					<div>
						  方法一: 1.打开cmd窗口(开始-运行-输入 cmd -回车). 2.在cmd窗口中输入 regsvr32 &quot;c:windowssystem32scrrun.dll&quot;如果不行 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1EDwaM.html" rel="bookmark" class="title">怎样在Word2013文档中插入日期和时间</a>
					<div>
						  第1步,打开Word2013文档窗口,且换到&quot;插入&quot;功能区.将插入点光标定位到需要插入日期和时间的位置(正文任意位置或页眉页脚中),然后在&quot;插入&quot;区域单击& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MywaYEz.html" rel="bookmark" class="title">win7系统文件属性修改时找不到安全选项卡怎么办</a>
					<div>
						当用户对多个文件或者是文件夹修改权限的时候,发现属性栏里面并没有安全选项卡,这也就使得我们无法对其修改.针对这种问题,我们该如何解决呢?其实我们完全可以说对其批量操作,可以省上很多的时间. 方法一:  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKQ6Y5p.html" rel="bookmark" class="title">导入环信easeui问题</a>
					<div>
						问题描述 解决方案 把 v4 包的版本号加大,譬如 compile 'com.android.support:support-v4:23.1.1'如果你的项目已有support-v4这个包,关联eas ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn71LWz.html" rel="bookmark" class="title">android开发之文件管理器</a>
					<div>
						问题描述 android开发之文件管理器 android开发之如何调用系统文件管理器跳转到sd卡指定目录?					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MydvlPb.html" rel="bookmark" class="title">js-Easyui-datagrid groupview分组后勾选问题</a>
					<div>
						问题描述 Easyui-datagrid groupview分组后勾选问题 解决方案 你这个是detailview插件吧,自己看demo:http://www.jeasyui.com/demo/mai ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwWOwnz.html" rel="bookmark" class="title">C&num; rsa加密解密</a>
					<div>
						问题描述 publicstringHttpClient(stringtel,stringofferSpecl,stringgoodName){varrespone=&quot;&quot;;try{/ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPBqYrb.html" rel="bookmark" class="title">为什么我的事务拦截器没有起作用呢？</a>
					<div>
						问题描述 配置里:&lt;property name=&quot;transactionAttributes&quot;&gt;&lt;props&gt;   &lt;prop key=&quot;p ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWlRLnp.html" rel="bookmark" class="title">【SpringMVC整合MyBatis】springmvc对RESTful支持</a>
					<div>
						1.什么是RESTful RESTful架构,就是目前最流行的一种互联网软件架构.它结构清晰.符合标准.易于理解.扩展方便,所以正得到越来越多网站的采用. RESTful-表现层状态转换(即Repre ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4eRnLb.html" rel="bookmark" class="title">hash处理海量数据及其实现</a>
					<div>
						 [什么是Hash]   Hash,一般翻译做&quot;散列&quot;,也有直接音译为&quot;哈希&quot;的,就是把任意长度的输入(又叫做预映射, pre-image),通过散列算法,变换 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M12dwxp.html" rel="bookmark" class="title">搜索结果是如何形成的？</a>
					<div>
						2月28日,英国&lt;新科学家&gt;关注到Google搜索的一个新动向:Google尝试根据可信度而不是链接数,来决定网页在搜索结果中的排名.报道称,Google正在改变以往根据网页的导入链接数量 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLgA5RM.html" rel="bookmark" class="title">IDF今日开锣英特尔加速从PC向嵌入式转型</a>
					<div>
						英特尔正在经历一个重大的转换过程,传统的&quot;IA架构&quot;(IntelA rchi-tecture)能进入更广阔的医疗.安全.汽车等新兴智能化市场吗?这是一个百亿级的市场,这也是一个厮杀 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqWgY3z.html" rel="bookmark" class="title">php微信开发接入&lowbar;php技巧</a>
					<div>
						微信,想必大家都不陌生,像支付宝一样在悄悄的改变大家的生活方式.伴随着这种新的生活方式,越来越多的微服务也开始进入我们的生活,我们可以使用微信查询信用卡帐单.还款.支付,在最近的一次微信合作伙伴大会上 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmVAEjz.html" rel="bookmark" class="title">一个基于PDO的数据库操作类&lpar;新&rpar; 一个PDO事务实例&lowbar;php技巧</a>
					<div>
						复制代码 代码如下: &lt;?php /* * 作者:胡睿 * 日期:2011/03/19 * 电邮:hooray0905@foxmail.com * * 20110319 * 常用数据库操作,如: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPl6q1p.html" rel="bookmark" class="title">jQuery中andSelf&lpar;&rpar;方法用法实例&lowbar;jquery</a>
					<div>
						本文实例讲述了jQuery中andSelf()方法用法.分享给大家供大家参考.具体分析如下: 此方法可以将先前所选的元素加入当前元素集合中. 语法结构: 复制代码 代码如下: .andSelf() 对 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQ1xAZb.html" rel="bookmark" class="title">web端 集成 视频</a>
					<div>
						问题描述 环信能在web端集成视频即时通讯吗?我看开发文档上没有写啊? 解决方案 webim 现在不支持实时音视频					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWdwRjp.html" rel="bookmark" class="title">重视企业知识产权</a>
					<div>
						策划人语 在知识经济时代,创新是根本.创新不仅需要有素质优良.富有创新精神的人才,更需要有一个好的环境.适宜的土壤,才能有效地激发人们的创造活力.知识产权制度作为一种现代产权制度,它的本质是通过产权激 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn40NWb.html" rel="bookmark" class="title">北京查出7种问题桶装水京润泉饮用水上黑榜</a>
					<div>
						北京市食品办昨天公布了38种不合格食品名单,其中7种桶装水上榜. 北京市质监督局此次抽检共 查出9种不合格食品,其中包括了7种桶装水,不合格项目包括 菌落总数. 霉菌.电导率以及铜绿假单胞菌等,据了解 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwyPyEM.html" rel="bookmark" class="title">javascript页面跳转的几种方法</a>
					<div>
						页面跳转在js中用很多的方法,下面我们介绍四种方法,大概原理都一样的. &lt;script language=&quot;网页特效&quot; type=&quot;text/javascript& ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.025 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
